Subject: Re: bug#67150: eglot with typescript language server >= 4.1.0

From: João Távora <[email-masked]>
Date: Wed, 15 Nov 2023 10:18:56 +0000

On Wed, Nov 15, 2023 at 9:51 AM Simon Pugnet <[email-masked]> wrote:
>
> > Thanks.  In the meantime I asked the server author some questions and
> > it seems the change has been rolled back, with the server accepting
> > the old language-ids again.  But I've pushed the change to eglot.el
> > anyway.  I think this bug can be closed, but let me know if you
> > disagree.
>
> I'm not sure if this fix is correct. In the documentation for
> `eglot-server-programs' it says: -
>
> * A list (MAJOR-MODE-SYMBOL :LANGUAGE-ID ID) where
>   MAJOR-MODE-SYMBOL is the aforementioned symbol and ID is a
>   string identifying the language to the server;
>
> However the commit 260ba357bbe3e6faaadb20d998107c11fab40aa5 sets the
> `:language-id' to symbols. So I think these should be strings instead,
> e.g. "javascript".

Yup, that was a mistake, guess I should have tested, but I don't
have this language server.  Keywords would probably work too,
but I fixed them to strings as you suggest.  Pushed to master
and cherry-picked to emacs-29.

João